package com.hfkj.sysenum.user;

import java.util.Objects;

/**
 * 登录平台
 * @className: LoginType
 * @author: HuRui
 * @date: 2022/10/20
 **/
public enum UserLoginPlatform {
    H5("H5", "H5客户端"),
    WXAPPLETS("WXAPPLETS", "微信小程序"),
    ALIPAY("ALIPAY", "支付宝H5"),
    TRIPARTITE("TRIPARTITE", "第三方平台"),
            ;

    private String code;

    private String name;

    UserLoginPlatform(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 根据类型查询数据
     * @param code
     * @return
     */
    public static UserLoginPlatform getDataByType(String code) {
        for (UserLoginPlatform ele : values()) {
            if(Objects.equals(code,ele.getCode())) return ele;
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
